<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<mat-nav-list 
    dense 
    *ngFor="let item of tree" 
    [ngStyle]="{'marginLeft.px': margin}" 
    [disableRipple]="item.cssClass === 'item-namespace'"
    class="nav-list-tree"
  >
  <div class="item-list">
    <a
      mat-list-item
      class="item-link"
      [ngClass]="item.cssClass"
      [routerLink]="item.link ? [item.link] : []"
      [routerLinkActive]="item.link ? 'active-link' : ''"
      (click)="select(item)"
    >
      <div fxLayout="row" fxLayoutAlign="start center" class="item-content">
        <mat-icon
          *ngIf="item.children.length > 0 && canBeFolded; else noIconChildren"
          mat-list-icon
          fxLayoutAlign="center center"
          class="arrow-size"
          (click)="toggleFold(item)"
          [ngClass]="{'disable-fold-unfold': search !== '', 'rotate-minus-90': item.isFolded}">arrow_drop_down</mat-icon>

        <ng-template #noIconChildren>
          <span [class.no-icon-children]="canBeFolded"></span>
        </ng-template>

        <mat-icon *ngIf="item.svgIcon" mat-list-icon color="primary" [svgIcon]="item.svgIcon"></mat-icon>
        <mat-icon *ngIf="item.icon" mat-list-icon color="primary">{{ item.icon }}</mat-icon>

        <span
          class="item-name"
          classToApply="highlight"
          appColorSearchedLetters
          [text]="item.name | truncateString: 64"
          [title]="item.name"
          [search]="search"
        ></span>
      </div>
    </a>
  </div>

  <app-material-tree
    *ngIf="!item.isFolded && item.children.length > 0"
    [tree]="item.children"
    [search]="search"
    [marginLeft]="marginLeft"
    [deepLevel]="deepLevel + 1"
    [canBeFolded]="canBeFolded"
    (evtToggleFold)="toggleFold($event)"
    (evtSelect)="select($event)"></app-material-tree>
</mat-nav-list>
